Bug 216777 - devel/libevent2: rename to devel/libevent
Summary: devel/libevent2: rename to devel/libevent
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2017-02-04 12:59 UTC by Jan Beich
Modified: 2017-02-20 04:08 UTC (History)
1 user (show)

See Also:


Attachments
v0 (85.64 KB, patch)
2017-02-04 13:09 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-02-04 12:59:39 UTC
devel/libevent was removed in ports r362796, so the suffix is no longer useful. Having a non-standard package name also breaks cross-references e.g.,

http://repology.org/metapackage/libevent/versions
Comment 1 Jan Beich freebsd_committer 2017-02-04 13:09:14 UTC
Created attachment 179593 [details]
v0

Apply via "svn patch", "git am" or "hg import". Regular patch(1) doesn't handle git-style renames.
Comment 2 Jan Beich freebsd_committer 2017-02-05 04:17:21 UTC
"make index" succeeded, all consumers built fine. exp-run is probably unnecessary since the change is mechanical.
Comment 3 Martin Matuska freebsd_committer 2017-02-19 21:22:35 UTC
I approve this patch.
Comment 4 commit-hook freebsd_committer 2017-02-20 02:57:52 UTC
A commit references this bug:

Author: jbeich
Date: Mon Feb 20 02:57:11 UTC 2017
New revision: 434427
URL: https://svnweb.freebsd.org/changeset/ports/434427

Log:
  devel/libevent2: drop historical suffix after r362796

  PR:		216777
  Approved by:	mm (maintainer)

Changes:
  head/MOVED
  head/Mk/bsd.gecko.mk
  head/UPDATING
  head/audio/forked-daapd/Makefile
  head/databases/libcouchbase/Makefile
  head/databases/libmemcached/Makefile
  head/databases/memcached/Makefile
  head/databases/memcacheq/Makefile
  head/databases/mysql-proxy/Makefile
  head/databases/mysql56-client/Makefile
  head/databases/mysql56-server/Makefile
  head/databases/mysql57-client/Makefile
  head/databases/mysql57-server/Makefile
  head/databases/mysql80-client/Makefile
  head/databases/mysql80-server/Makefile
  head/databases/percona57-client/Makefile
  head/databases/percona57-pam-for-mysql/Makefile
  head/databases/percona57-server/Makefile
  head/databases/pgbouncer/Makefile
  head/databases/sharedance/Makefile
  head/devel/Makefile
  head/devel/eventxx/Makefile
  head/devel/fstrm/Makefile
  head/devel/gearmand/Makefile
  head/devel/gearmand-devel/Makefile
  head/devel/libdnsres/Makefile
  head/devel/libevent/
  head/devel/libevent/Makefile
  head/devel/libevent2/
  head/devel/libmsocket/Makefile
  head/devel/p5-Event-Lib/Makefile
  head/devel/pecl-event/Makefile
  head/devel/pecl-libevent/Makefile
  head/devel/pinba_engine/Makefile
  head/devel/py-event/Makefile
  head/devel/thrift-cpp/Makefile
  head/dns/adsuck/Makefile
  head/dns/dnscrypt-wrapper/Makefile
  head/dns/dnsproxy/Makefile
  head/dns/getdns/Makefile
  head/dns/nsd/Makefile
  head/dns/openmdns/Makefile
  head/dns/unbound/Makefile
  head/irc/bitlbee/Makefile
  head/lang/io/Makefile
  head/lang/io/Makefile.addons
  head/mail/dbmail/Makefile
  head/mail/mailest/Makefile
  head/mail/opensmtpd/Makefile
  head/mail/opensmtpd-devel/Makefile
  head/mail/opensmtpd-extras/Makefile
  head/mail/opensmtpd-extras-filter-clamav/Makefile
  head/mail/opensmtpd-extras-filter-dkim/Makefile
  head/mail/opensmtpd-extras-filter-dnsbl/Makefile
  head/mail/opensmtpd-extras-filter-lua/Makefile
  head/mail/opensmtpd-extras-filter-monkey/Makefile
  head/mail/opensmtpd-extras-filter-pause/Makefile
  head/mail/opensmtpd-extras-filter-perl/Makefile
  head/mail/opensmtpd-extras-filter-python/Makefile
  head/mail/opensmtpd-extras-filter-regex/Makefile
  head/mail/opensmtpd-extras-filter-spamassassin/Makefile
  head/mail/opensmtpd-extras-queue-python/Makefile
  head/mail/opensmtpd-extras-queue-ram/Makefile
  head/mail/opensmtpd-extras-scheduler-python/Makefile
  head/mail/opensmtpd-extras-scheduler-ram/Makefile
  head/mail/opensmtpd-extras-table-ldap/Makefile
  head/mail/opensmtpd-extras-table-mysql/Makefile
  head/mail/opensmtpd-extras-table-passwd/Makefile
  head/mail/opensmtpd-extras-table-postgresql/Makefile
  head/mail/opensmtpd-extras-table-python/Makefile
  head/mail/opensmtpd-extras-table-redis/Makefile
  head/mail/opensmtpd-extras-table-socketmap/Makefile
  head/mail/opensmtpd-extras-table-sqlite/Makefile
  head/mail/opensmtpd-extras-tool-stats/Makefile
  head/mail/rspamd/Makefile
  head/mail/rspamd-devel/Makefile
  head/mail/thunderbird/Makefile
  head/net/aprsc/Makefile
  head/net/honeyd/Makefile
  head/net/ifstated/Makefile
  head/net/ladvd/Makefile
  head/net/netatalk3/Makefile
  head/net/ntop/Makefile
  head/net/ntp/Makefile
  head/net/ntp-devel/Makefile
  head/net/nylon/Makefile
  head/net/openmpi2/Makefile
  head/net/scribe/Makefile
  head/net/trickle/Makefile
  head/net/turnserver/Makefile
  head/net-im/telegram/Makefile
  head/net-mgmt/ccnet-client/Makefile
  head/net-mgmt/ccnet-server/Makefile
  head/net-mgmt/lldpd/Makefile
  head/net-mgmt/seafile-client/Makefile
  head/net-mgmt/seafile-gui/Makefile
  head/net-mgmt/seafile-server/Makefile
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/bitcoin-daemon/Makefile
  head/net-p2p/bitcoin-utils/Makefile
  head/net-p2p/libswift/Makefile
  head/net-p2p/transmission-cli/Makefile
  head/net-p2p/transmission-daemon/Makefile
  head/net-p2p/transmission-gtk/Makefile
  head/net-p2p/transmission-qt4/Makefile
  head/net-p2p/unworkable/Makefile
  head/security/certificate-transparency/Makefile
  head/security/fragroute/Makefile
  head/security/obfsclient/Makefile
  head/security/openiked/Makefile
  head/security/scanssh/Makefile
  head/security/spybye/Makefile
  head/security/sslsplit/Makefile
  head/security/stegdetect/Makefile
  head/security/tor/Makefile
  head/security/tor-devel/Makefile
  head/sysutils/grok/Makefile
  head/sysutils/ori/Makefile
  head/sysutils/tlsdate/Makefile
  head/sysutils/tmate/Makefile
  head/sysutils/tmate-slave/Makefile
  head/sysutils/tmux/Makefile
  head/textproc/groonga/Makefile
  head/www/crawl/Makefile
  head/www/firefox/Makefile
  head/www/firefox-esr/Makefile
  head/www/httpsqs/Makefile
  head/www/libevhtp/Makefile
  head/www/libxul/Makefile
  head/www/mohawk/Makefile
  head/www/nghttp2/Makefile
  head/www/pecl-http/Makefile
  head/www/pecl-http2/Makefile
  head/www/seamonkey/Makefile
  head/www/slowcgi/Makefile
  head/www/spdylay/Makefile
Comment 5 commit-hook freebsd_committer 2017-02-20 02:58:55 UTC
A commit references this bug:

Author: jbeich
Date: Mon Feb 20 02:58:25 UTC 2017
New revision: 434428
URL: https://svnweb.freebsd.org/changeset/ports/434428

Log:
  security/vuxml: chase r434427

  $ svn ci -F libevent-rename.msg
  [...]
  svn: E165001: Commit failed (details follow):
  svn: E165001: Commit blocked by pre-commit hook (exit code 1) with output:
  Commit to security/vuxml/vuln.xml first, and then other files

  PR:		216777

Changes:
  head/security/vuxml/vuln.xml